SessionDock Developer Docs

Make your creative workflow programmable.

Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.

List sessions

Returns sessions with optional search, tag, recent, kind, and pagination filters.

GET/api/v1/sessions

Returns sessions with optional search, tag, recent, kind, and pagination filters.

curl -X GET 'http://127.0.0.1:18432/api/v1/sessions?q=drums&kind=Ableton&daw=Ableton&tags=mix%2Cpriority&recent=true&sort=title&limit=10&offset=0' \
  -H 'Authorization: Bearer <token>'

Parameters

NameInTypeRequiredDescriptionExample
qquerystringNoFree-text search across title, client, and notes.drums
kindquerystringNoFilter by exact session kind.Ableton
dawquerystringNoAlias for kind.Ableton
tagsquerystringNoComma-separated tag filter or repeated query values.mix,priority
recentquerybooleanNoReturn only sessions opened recently.true
sortquerystringNoSort key.title
limitqueryintegerNo10
offsetqueryintegerNo0

Responses

200

Session list

application/json

Schema Shape

{
  "data": [
    {
      "id": "session_123",
      "title": "Launch cue prep",
      "kind": "Ableton",
      "status": "draft",
      "accent": "gradient",
      "tags": [
        "<string>"
      ],
      "notes": "<string>",
      "lastOpened": "2025-01-15T12:34:56Z",
      "projectPath": "<string>",
      "projectOriginalPath": "<string>",
      "previewStatus": "<string>",
      "previewUrl": "<string>",
      "previewAudioUrl": "<string>",
      "previewAudioMime": "<string>",
      "preferredPreviewId": "<string>",
      "previews": [
        {
          "id": "<string>",
          "name": "<string>",
          "path": "<string>",
          "status": "<string>"
        }
      ]
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0
  }
}

Example

{
  "data": [
    {
      "id": "session_123",
      "title": "Launch cue prep",
      "kind": "Ableton",
      "status": "draft",
      "accent": "gradient",
      "tags": [
        "<string>"
      ],
      "notes": "<string>",
      "lastOpened": "2025-01-15T12:34:56Z",
      "projectPath": "<string>",
      "projectOriginalPath": "<string>",
      "previewStatus": "<string>",
      "previewUrl": "<string>",
      "previewAudioUrl": "<string>",
      "previewAudioMime": "<string>",
      "preferredPreviewId": "<string>",
      "previews": [
        {
          "id": "<string>",
          "name": "<string>",
          "path": "<string>",
          "status": "<string>"
        }
      ]
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0
  }
}
401

Missing or invalid bearer token.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 401,
    "code": "unauthorized",
    "message": "Provide Authorization: Bearer <token>."
  }
}